.. _iris.fileformats.netcdf:

=======================
iris.fileformats.netcdf
=======================



.. currentmodule:: iris

.. automodule:: iris.fileformats.netcdf

In this module:

 * :py:obj:`load_cubes`
 * :py:obj:`parse_cell_methods`
 * :py:obj:`save`
 * :py:obj:`CFNameCoordMap`
 * :py:obj:`NetCDFDataProxy`
 * :py:obj:`Saver`
 * :py:obj:`UnknownCellMethodWarning`



.. autofunction:: iris.fileformats.netcdf.load_cubes


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


.. autofunction:: iris.fileformats.netcdf.parse_cell_methods


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


.. autofunction:: iris.fileformats.netcdf.save


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


Provide a simple CF name to CF coordinate mapping.

..

    .. autoclass:: iris.fileformats.netcdf.CFNameCoordMap
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


A reference to the data payload of a single NetCDF file variable.

..

    .. autoclass:: iris.fileformats.netcdf.NetCDFDataProxy
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


A manager for saving netcdf files.

..

    .. autoclass:: iris.fileformats.netcdf.Saver
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


None

..

    .. autoclass:: iris.fileformats.netcdf.UnknownCellMethodWarning
        :members:
        :undoc-members:
        :inherited-members:

